Subject: Re: bug#5601: 23.1; etags Scheme_functions past \0 terminator

From: Chong Yidong <[email-masked]>
Date: Sat, 20 Feb 2010 09:12:26 -0500

> >In etags.c Scheme_functions, I think the loop
> >
> >    while (notinname (*bp))
> >      bp++;
> >
> >will take bp past the '\0' string terminator, because '\0' is a
> >notinname().
>
> Yes, it appears so.  This is a long-standing bug.  Thanks for spotting
> it.
>
> >(Another helper skip_notinname() to try to be clearer
> >than a double-negative loop :-)
>
> I don't think a helper function is granted here.  There is a single use
> of this construct in the file, and a lot of different constructs: we
> have not a helper function for each of them.

I've checked in the patch, without the helper function.  Thanks.